package net.t2code.alias.Spigot.cmdManagement;

import net.t2code.alias.Spigot.Main;
import net.t2code.alias.Spigot.config.config.Language;
import net.t2code.alias.Spigot.system.Load;
import net.t2code.alias.util.Util;
import net.t2code.t2codelib.SPIGOT.api.messages.T2C_Send;
import net.t2code.t2codelib.SPIGOT.api.messages.T2C_Template;
import org.bukkit.command.CommandSender;
import org.bukkit.entity.Player;

public class Commands {

    public static void info(CommandSender sender) {
        T2C_Template.sendInfo(sender, Main.getInstance(), Util.getSpigotID(), Util.getDiscord(), Util.getInfoText());
    }

    public static void reload(CommandSender sender) {
        if (sender instanceof Player) T2C_Send.player((Player) sender, Language.VALUES.reloadStart.getValue().toString());
        T2C_Send.console(Util.getPrefix() + "§8-------------------------------");
        T2C_Send.console(Util.getPrefix() + " §6Plugin reload...");
        T2C_Send.console(Util.getPrefix() + "§8-------------------------------");
        Load.loadReload(Main.getInstance(),true);
        if (sender instanceof Player) T2C_Send.player((Player) sender, Language.VALUES.reloadEnd.getValue().toString());
        T2C_Send.console(Util.getPrefix() + "§8-------------------------------");
        T2C_Send.console(Util.getPrefix() + " §2Plugin successfully reloaded.");
        T2C_Send.console(Util.getPrefix() + "§8-------------------------------");
    }
}
