package net.t2code.alias.Spigot.confirm.gui;

import net.t2code.alias.Spigot.Cache;
import net.t2code.alias.Spigot.Main;
import net.t2code.alias.Spigot.config.config.Config;
import net.t2code.alias.Spigot.config.config.Language;
import net.t2code.alias.util.Util;
import net.t2code.t2codelib.SPIGOT.api.items.T2C_ItemBuilder;
import net.t2code.t2codelib.SPIGOT.api.messages.T2C_Replace;
import org.bukkit.Bukkit;
import org.bukkit.entity.Player;
import org.bukkit.inventory.Inventory;
import org.bukkit.inventory.InventoryHolder;

import java.util.List;

public class ConfirmGUI {

    public static void open(Player player, Double price, String alias) {
        Inventory inventory = Bukkit.createInventory((InventoryHolder) null, 9 * 3, (T2C_Replace.replace(Util.getPrefix(), player,
                Main.getGuiCode() + Language.VALUES.confirmGuiTitle.getValue().toString().replace("[price]",price+ " "+Config.VALUES.buyCurrency.getValue()).replace("[alias]", alias))));

        T2C_ItemBuilder.fillItem((boolean) Config.VALUES.buyConfirmGuiFillItemEnabled.getValue(), (String) Config.VALUES.buyConfirmGuiFillItem.getValue(), 3, inventory);

        T2C_ItemBuilder.setItem(12, 1, (String) Config.VALUES.buyConfirmGuiConfirm.getValue(), Language.VALUES.confirmGuiConfirm.getValue().toString(),
                (List<String>)  T2C_Replace.replace(Language.VALUES.confirmGuiConfirmLore.getValue(), "[price]", price + " " + Config.VALUES.buyCurrency.getValue()), inventory);
        T2C_ItemBuilder.setItem(14, 1, (String) Config.VALUES.buyConfirmGuiCancel.getValue(), Language.VALUES.confirmGuiCancel.getValue().toString(),
                (List<String>) T2C_Replace.replace(Language.VALUES.confirmGuiCancelLore.getValue(), "[price]", price + " " + Config.VALUES.buyCurrency.getValue()), inventory);
        Cache.openPlayers.add(player.getUniqueId());
        player.openInventory(inventory);
    }
}
