package net.t2code.alias.Spigot.confirm;

import net.t2code.alias.Spigot.Main;
import net.t2code.alias.Spigot.cmdManagement.ExecuteAlias;
import org.bukkit.Bukkit;
import org.bukkit.entity.Player;
import org.bukkit.event.EventHandler;
import org.bukkit.event.Listener;
import org.bukkit.event.player.AsyncPlayerChatEvent;

public class ChatConfirm implements Listener {

    @EventHandler
    public void onChat(AsyncPlayerChatEvent e) {
        String[] args = e.getMessage().split(" ");
        if (args.length == 0) {
            return;
        }
        Player player = e.getPlayer();
        switch (args[0].toLowerCase()) {
            case "t2code-alias-confirm":
                e.setCancelled(true);
                Bukkit.getScheduler().runTask(Main.getInstance(), new Runnable() {
                    @Override
                    public void run() {
                        ExecuteAlias.storage(player, true);
                    }
                });

                break;
            case "t2code-alias-cancel":
                e.setCancelled(true);
                Bukkit.getScheduler().runTask(Main.getInstance(), new Runnable() {
                    @Override
                    public void run() {
                        ExecuteAlias.storage(player, false);
                    }
                });
                break;
        }
    }
}
