package net.t2code.alias.Spigot.confirm.gui;

import net.t2code.alias.Spigot.Cache;
import net.t2code.alias.Spigot.cmdManagement.ExecuteAlias;
import org.bukkit.entity.Player;
import org.bukkit.event.EventHandler;
import org.bukkit.event.Listener;
import org.bukkit.event.inventory.InventoryClickEvent;
import org.bukkit.event.inventory.InventoryCloseEvent;

public class GuiListener implements Listener {
    @EventHandler
    public void onInventoryClick(InventoryClickEvent e) {
        Player player = (Player) e.getWhoClicked();
        if (e.getInventory() == null) return;
        if (e.getCurrentItem() == null) return;

        if (!Cache.openPlayers.contains(player.getUniqueId())) return;
        e.setCancelled(true);
        if (e.getClickedInventory() != e.getWhoClicked().getOpenInventory().getTopInventory()) return;
        switch (e.getSlot()) {
            case 12:
                Cache.openPlayers.remove(player.getUniqueId());
                player.closeInventory();
                ExecuteAlias.storage(player, true);
                break;
            case 14:
                Cache.openPlayers.remove(player.getUniqueId());
                player.closeInventory();
                ExecuteAlias.storage(player, false);
                break;
        }
    }

    @EventHandler
    public void onInventoryCloseEvent(InventoryCloseEvent e) {
        Player player = (Player) e.getPlayer();
        Cache.openPlayers.remove(player.getUniqueId());
    }
}
