package net.t2code.alias.Spigot.objects;

import java.util.HashMap;
import java.util.List;
import java.util.UUID;

public class SubAliasObject {
    public HashMap<UUID, Long> cooldownPlayerMap = new HashMap<>();
    public Long globalCooldownInt = 0L;

    public Boolean subAliasEnable;
    public List<String> subAliasList;
    public Integer subAliasArg;
    public String subAliasFor;

    public Boolean permNecessary;
    public String permission;
    public String permissionMSG;

    public Integer cooldownGlobal;
    public  Integer cooldownPlayer;

    public Boolean costEnable;
    public Boolean costConfirm;
    public Double costPrice;
    public Boolean costAllowBypass;

    public Boolean commandEnable;
    public Boolean commandAsConsole;
    public Boolean bungeeCommand;
    public List<String> command;
    public Boolean messageEnable;
    public List<String> messages;


    public Boolean adminEnable;
    public String adminPermission;
    public Boolean adminCommandEnable;
    public Boolean adminCommandAsConsole;
    public Boolean adminBungeeCommand;
    public List<String> adminCommands;
    public Boolean adminMessageEnable;
    public List<String> adminMessages;
    public Boolean consoleEnable;
    public Boolean consoleCommandEnable;
    public Boolean consoleBungeeCommand;
    public List<String> consoleCommands;
    public Boolean consoleMessageEnable;
    public List<String> consoleMessages;

    public SubAliasObject(Boolean subAliasEnable,
                          List<String> subAliasList,
                          String subAliasFor,
                          Integer subAliasArg,
                          Boolean permNecessary,
                          String permission,
                          String permissionMSG,

                          Integer cooldownGlobal,
                          Integer cooldownPlayer,

                          Boolean costEnable,
                          Boolean costConfirm,
                          Double costPrice,
                          Boolean costAllowBypass,

                          Boolean commandEnable,
                          Boolean commandAsConsole,
                          Boolean bungeeCommand,
                          List<String> command,
                          Boolean messageEnable,
                          List<String> messages,

                          Boolean adminEnable,
                          String adminPermission,
                          Boolean adminCommandEnable,
                          Boolean adminCommandAsConsole,
                          Boolean adminBungeeCommand,
                          List<String> adminCommands,
                          Boolean adminMessageEnable,
                          List<String> adminMessages,

                          Boolean consoleEnable,
                          Boolean consoleCommandEnable,
                          Boolean consoleBungeeCommand,
                          List<String> consoleCommands,
                          Boolean consoleMessageEnable,
                          List<String> consoleMessages) {
        this.subAliasEnable = subAliasEnable;
        this.subAliasList = subAliasList;
        this.subAliasFor = subAliasFor;
        this.subAliasArg = subAliasArg;
        this.permNecessary = permNecessary;
        this.permission = permission;
        this.permissionMSG = permissionMSG;

        this.cooldownGlobal = cooldownGlobal;
        this.cooldownPlayer = cooldownPlayer;

        this.costEnable = costEnable;
        this.costConfirm = costConfirm;
        this.costPrice = costPrice;
        this.costAllowBypass = costAllowBypass;

        this.commandEnable = commandEnable;
        this.commandAsConsole = commandAsConsole;
        this.bungeeCommand = bungeeCommand;
        this.command = command;
        this.messageEnable = messageEnable;
        this.messages = messages;
        this.adminEnable = adminEnable;
        this.adminPermission = adminPermission;
        this.adminCommandEnable = adminCommandEnable;
        this.adminCommandAsConsole = adminCommandAsConsole;
        this.adminBungeeCommand = adminBungeeCommand;
        this.adminCommands = adminCommands;
        this.adminMessageEnable = adminMessageEnable;
        this.adminMessages = adminMessages;


        this.consoleEnable = consoleEnable;
        this.consoleCommandEnable = consoleCommandEnable;
        this.consoleBungeeCommand = consoleBungeeCommand;
        this.consoleCommands = consoleCommands;
        this.consoleMessageEnable = consoleMessageEnable;
        this.consoleMessages = consoleMessages;

    }
}
